
-- version 2.8.0.3
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Nov 27, 2006 at 02:18 PM
-- Server version: 4.1.20
-- PHP Version: 5.1.6
-- 
-- Database: ipitomy
-- 

-- 
-- Dumping data for table branch_office
-- 

INSERT INTO branch_office (branch_id, dest_id, host, secret, register, trunk, office_name, qualify) VALUES (2, 56, 'dynamic', 'secret', NULL, 1, 'dev', 10000);

-- 
-- Dumping data for table conference
-- 

INSERT INTO conference (conference_id, dest_id, conf_name, pin, admin_pin) VALUES (1, 49, 'Conference Room 1', '232', '123');
INSERT INTO conference (conference_id, dest_id, conf_name, pin, admin_pin) VALUES (2, 50, 'Conference Room 2', '1212', '222');

-- 
-- Dumping data for table default_dest
-- 

INSERT INTO default_dest (dest_type, local_ext) VALUES ('vm_trans', '*125');
INSERT INTO default_dest (dest_type, local_ext) VALUES ('vm_main', '*124');
INSERT INTO default_dest (dest_type, local_ext) VALUES ('vm_ext', '*123');
INSERT INTO default_dest (dest_type, local_ext) VALUES ('park', '#700');
INSERT INTO default_dest (dest_type, local_ext) VALUES ('page', '*55');

-- 
-- Dumping data for table destination
-- 

INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (19, 'sip_ext', 29, '1000');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (20, 'vm_box', 7, NULL);
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (21, 'sip_ext', 30, '2225');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (22, 'vm_box', 8, NULL);
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (52, 'vm_box', 10, NULL);
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (18, 'vm_ext', 0, '*123');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (51, 'ring_group', 29, '4444');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (24, 'ivr', 16, '2223');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (25, 'schedule', 8, NULL);
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (26, 'ivr', 17, '2999');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (27, 'sip_ext', 31, '1005');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (28, 'vm_box', 9, NULL);
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (49, 'conference', 1, '*101');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (50, 'conference', 2, '*102');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (56, 'branch_office', 2, '*10');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (54, 'vm_main', 0, '*124');
INSERT INTO destination (dest_id, dest_type, dest_key, local_ext) VALUES (55, 'directory', 0, '*126');

-- 
-- Dumping data for table holiday_schedule
-- 

INSERT INTO holiday_schedule (holiday_id, schedule_id, name, start_month, end_month, start_day, end_day, start_hour, stop_hour, holiday_dest_id, start_min, stop_min) VALUES (3, 8, 'Christmas', 12, 1, 23, 2, 16, 8, 26, 0, 0);

-- 
-- Dumping data for table ivr
-- 

INSERT INTO ivr (ivr_id, dest_id, ivr_name, ivr_greeting, dest1, dest2, dest3, dest4, dest5, dest6, dest7, dest8, dest9, dest0, star_dest, pound_dest, response_to, loops, to_dest_id, digit_timeout, rings_to_answer, allow_ext, status) VALUES (16, 24, 'main menu', 'tt-weasels', 25, 21, 20, 22, 26, 0, 0, 0, 0, 0, 0, 0, 4, 1, 20, 2, 4, 1, 'active');
INSERT INTO ivr (ivr_id, dest_id, ivr_name, ivr_greeting, dest1, dest2, dest3, dest4, dest5, dest6, dest7, dest8, dest9, dest0, star_dest, pound_dest, response_to, loops, to_dest_id, digit_timeout, rings_to_answer, allow_ext, status) VALUES (17, 26, 'new menu', '1-yes-2-no', 19, 20, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 1, 24, 2, 4, 1, 'active');

-- 
-- Dumping data for table musiconhold
-- 

INSERT INTO musiconhold (moh_id, music_class_name, play_mode, play_random) VALUES (41, 'default', 'files', 0);

-- 
-- Dumping data for table outbound_routing
-- 

INSERT INTO outbound_routing (route_id, name, route_type, match_digits, block_all) VALUES (1, 'out_local', 'local', NULL, 0);
INSERT INTO outbound_routing (route_id, name, route_type, match_digits, block_all) VALUES (2, 'out_ld', 'ld', NULL, 0);
INSERT INTO outbound_routing (route_id, name, route_type, match_digits, block_all) VALUES (3, 'out_intl', 'intl', NULL, 0);

-- 
-- Dumping data for table outbound_trunks
-- 


-- 
-- Dumping data for table phone_number
-- 

INSERT INTO phone_number (phone_number_id, trunk_id, number, default_dest) VALUES (6, 45, '9413062200', NULL);
INSERT INTO phone_number (phone_number_id, trunk_id, number, default_dest) VALUES (7, 45, '9413062222', NULL);
INSERT INTO phone_number (phone_number_id, trunk_id, number, default_dest) VALUES (8, 45, '9413062225', NULL);

-- 
-- Dumping data for table rg_ext
-- 


-- 
-- Dumping data for table ring_group
-- 

INSERT INTO ring_group (ring_group_id, dest_id, ring_group_name, ring_strategy, failover_dest_id, queue_flags, caller_hears_ringing, timeout, page_enable, crs_id) VALUES (29, 51, 'test group', 'ringall', 19, '', 1, 0, 1, 41);

-- 
-- Dumping data for table schedule_routing
-- 

INSERT INTO schedule_routing (schedule_id, dest_id, name, ho_mon_start, ho_mon_stop, ho_tue_start, ho_tue_stop, ho_wed_start, ho_wed_stop, ho_thu_start, ho_thu_stop, ho_fri_start, ho_fri_stop, ho_sat_start, ho_sat_stop, ho_sun_start, ho_sun_stop, lo_mon_start, lo_mon_stop, lo_tue_start, lo_tue_stop, lo_wed_start, lo_wed_stop, lo_thu_start, lo_thu_stop, lo_fri_start, lo_fri_stop, lo_sat_start, lo_sat_stop, lo_sun_start, lo_sun_stop, ho_dest_id, lo_dest_id, ho_mon_start_min, ho_mon_stop_min, ho_tue_start_min, ho_tue_stop_min, ho_wed_start_min, ho_wed_stop_min, ho_thu_start_min, ho_thu_stop_min, ho_fri_start_min, ho_fri_stop_min, ho_sat_start_min, ho_sat_stop_min, ho_sun_start_min, ho_sun_stop_min, lo_mon_start_min, lo_mon_stop_min, lo_tue_start_min, lo_tue_stop_min, lo_wed_start_min, lo_wed_stop_min, lo_thu_start_min, lo_thu_stop_min, lo_fri_start_min, lo_fri_stop_min, lo_sat_start_min, lo_sat_stop_min, lo_sun_start_min, lo_sun_stop_min, noho_dest_id) VALUES (8, 25, 'schedule 1', 9, 17, 9, 17, 9, 17, 9, 17, 9, 17, 9, 15, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22);

-- 
-- Dumping data for table sip_ext
-- 

INSERT INTO sip_ext (extension_id, dest_id, name, extension_number, user_id, forward_enable, forward_unconditional, forward_busy, forward_no_answer, forward_unavailable, forward_unavailable_dest_id, forward_busy_dest_id, forward_unconditional_dest_id, forward_no_answer_dest_id, ext_password, uad_type, location, ext_status, dtmf_mode, user_type, auth_method, nat, status_interval, host, default_ip, cid_status, cid_name, caller_number, call_group, pickup_group, inc_call_limit, out_call_limit, vm_id, ring_time, codec_allow, codec_disallow, perm_internal_calls, perm_ld_calls, perm_local_calls, perm_intl_calls, perm_inc_calls, call_park_enable, email, mac, page_out_enable, page_in_enable, is_operator, allow_forward, allow_monitor, allow_record) VALUES (29, 19, 'Aastra 1000', 1000, NULL, 0, '3062225', '3062225', '', '', 27, 0, 0, 21, '1000', 1, 'local', 'active', 'rfc2833', 'friend', 'plaintext', 'active', 800, 'dynamic', NULL, 'active', NULL, NULL, 1, 1, 2, 2, 20, 32, 'ulaw|alaw|gsm', 'all', 1, 1, 1, 0, 1, 1, 'harrellandrew@hotmail.com', NULL, 1, 1, 0, 1, 0, 0);
INSERT INTO sip_ext (extension_id, dest_id, name, extension_number, user_id, forward_enable, forward_unconditional, forward_busy, forward_no_answer, forward_unavailable, forward_unavailable_dest_id, forward_busy_dest_id, forward_unconditional_dest_id, forward_no_answer_dest_id, ext_password, uad_type, location, ext_status, dtmf_mode, user_type, auth_method, nat, status_interval, host, default_ip, cid_status, cid_name, caller_number, call_group, pickup_group, inc_call_limit, out_call_limit, vm_id, ring_time, codec_allow, codec_disallow, perm_internal_calls, perm_ld_calls, perm_local_calls, perm_intl_calls, perm_inc_calls, call_park_enable, email, mac, page_out_enable, page_in_enable, is_operator, allow_forward, allow_monitor, allow_record) VALUES (30, 21, 'Aastra 2225', 2225, NULL, 0, '8582201300', '', '8582201300', NULL, 0, 22, 0, 0, '2225', 1, 'local', 'active', 'rfc2833', 'friend', 'plaintext', 'active', 8000, 'dynamic', NULL, 'active', NULL, NULL, 1, 1, 2, 2, 22, 32, 'ulaw|alaw|gsm', 'all', 1, 1, 1, 0, 1, 1, 'harrellandrew@hotmail.com', NULL, 1, 1, 0, 1, 1, 1);
INSERT INTO sip_ext (extension_id, dest_id, name, extension_number, user_id, forward_enable, forward_unconditional, forward_busy, forward_no_answer, forward_unavailable, forward_unavailable_dest_id, forward_busy_dest_id, forward_unconditional_dest_id, forward_no_answer_dest_id, ext_password, uad_type, location, ext_status, dtmf_mode, user_type, auth_method, nat, status_interval, host, default_ip, cid_status, cid_name, caller_number, call_group, pickup_group, inc_call_limit, out_call_limit, vm_id, ring_time, codec_allow, codec_disallow, perm_internal_calls, perm_ld_calls, perm_local_calls, perm_intl_calls, perm_inc_calls, call_park_enable, email, mac, page_out_enable, page_in_enable, is_operator, allow_forward, allow_monitor, allow_record) VALUES (31, 27, 'Aastra 1005', 1005, NULL, 0, NULL, NULL, NULL, NULL, 0, 0, 0, 0, '1005', 1, 'local', 'active', 'rfc2833', 'friend', 'plaintext', 'active', 800, 'dynamic', NULL, 'active', NULL, NULL, 1, 1, 2, 2, 28, 32, 'ulaw|alaw|gsm', 'all', 1, 1, 1, 0, 1, 1, 'harrellandrew@hotmail.com', NULL, 1, 1, 0, 1, 0, 0);

-- 
-- Dumping data for table sip_provider
-- 

INSERT INTO sip_provider (sip_provider_id, trunk_id, provider_name, user_type, dtmf_mode, host, register, register_ctl, auth, auth_ctl, username, secret, out_callerid, incoming_limit, outgoing_limit, qualify, can_reinvite, no_transfer, allow_codecs, default_dest_id) VALUES (1, 1, 'teliax', 'friend', 'rfc2833', 'voip-co3.teliax.com', 'register => nbranica:152ff9b6a62a@voip-co3.teliax.com\n', 'yes', 'auth = nbranica:152ff9b6a62a@voip-co3.teliax.com\n', 'yes', 'nbranica', '152ff9b6a62a', '9413062013', 2, 2, 10000, 'no', 'no', 'ulaw|alaw|gsm', 21);

-- 
-- Dumping data for table system_settings
-- 

INSERT INTO system_settings (setting_id, setting_key, value) VALUES (1, 'default_inc_dest', '21');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (2, 'admin_user', 'pbxadmin');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (3, 'admin_pass', 'ipitomy');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (113, 'sip_promiscredir', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (112, 'sip_useragent', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (111, 'sip_progressinband', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (110, 'sip_sendrpid', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (109, 'sip_trustrpid', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (108, 'sip_rtpholdtimeout', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (107, 'sip_rtptimeout', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (106, 'sip_relaxdtmf', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (105, 'sip_musicclass', '41');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (104, 'sip_allow', 'ulaw|alaw|gsm');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (103, 'sip_disallow', 'all');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (102, 'sip_recordhistory', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (101, 'sip_videosupport', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (100, 'sip_vmexten', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (99, 'sip_checkmwi', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (98, 'sip_notifymimetype', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (97, 'sip_defmaxexpiry', '3600');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (96, 'sip_maxexpiry', '7200');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (95, 'sip_tos', 'lowdelay');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (94, 'sip_pedantic', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (93, 'sip_autodomain', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (92, 'sip_allowinvite', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (91, 'sip_domain', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (90, 'sip_srvlookup', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (89, 'sip_bindaddress', '0.0.0.0');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (88, 'sip_bindport', '5060');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (87, 'sip_realm', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (86, 'sip_allow_guest', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (85, 'sip_context', 'incoming');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (84, 'sip_subnet_mask', '255.255.255.0');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (83, 'sip_local_net', '192.168.2.0');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (82, 'sip_external_ip', '72.164.254.211');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (81, 'vm_allow_operator', '0');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (80, 'vm_allow_review', '0');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (79, 'vm_voice_as_attach', '1');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (78, 'vm_server_email', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (77, 'vm_on_del_next_message', '1');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (76, 'vm_max_fail_login', '3');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (75, 'vm_skip_ms_playback', '3000');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (74, 'vm_caller_id', '1');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (73, 'vm_envelope', '1');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (72, 'vm_silence_threshold', '128');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (71, 'vm_max_secs_silence', '10');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (70, 'vm_max_greet_length', '60');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (69, 'vm_min_msg_length', '3');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (68, 'vm_max_num_messages', '100');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (67, 'vm_max_msg_length', '180');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (114, 'sip_usereqphone', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (115, 'sip_dtmfmode', 'rfc2833');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (116, 'sip_compactheaders', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (117, 'sip_sipdebug', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (118, 'sip_subscribecontext', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (119, 'sip_notifyringing', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (120, 'sip_qualify', '8000');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (121, 'sip_callevents', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (122, 'sip_externhost', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (123, 'sip_externrefresh', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (124, 'sip_nat', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (125, 'sip_rtcachefriends', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (126, 'sip_rtupdate', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (127, 'sip_rtautoexpire', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (128, 'sip_ignoreregexpire', 'N/A');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (129, 'sip_allowexternaldomains', 'yes');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (130, 'net_ip_type', 'Static IP');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (131, 'net_ip_address1', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (132, 'net_ip_address2', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (133, 'net_ip_address3', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (134, 'net_ip_address4', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (135, 'net_sn_address1', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (136, 'net_sn_address2', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (137, 'net_sn_address3', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (138, 'net_sn_address4', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (139, 'net_dg_address1', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (140, 'net_dg_address2', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (141, 'net_dg_address3', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (142, 'net_dg_address4', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (143, 'net_dns_address1', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (144, 'net_dns_address2', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (145, 'net_dns_address3', '');
INSERT INTO system_settings (setting_id, setting_key, value) VALUES (146, 'net_dns_address4', '');

-- 
-- Dumping data for table trunks
-- 

INSERT INTO trunks (trunk_id, trunk_type, trunk_key, default_dest, area_code, send_ac_local, add_1_to_ac, allow_record) VALUES (1, 'sip', 1, 0, 941, 1, 0, 0);

-- 
-- Dumping data for table uad
-- 

INSERT INTO uad (uad_id, desc, manufacturer, model) VALUES (1, 'Polycom 501e', 'Polycom', '501e');
INSERT INTO uad (uad_id, desc, manufacturer, model) VALUES (2, 'Aastra 480i', 'Aastra', '480i');

-- 
-- Dumping data for table users
-- 


-- 
-- Dumping data for table vm_box
-- 

INSERT INTO vm_box (vm_id, dest_id, mailbox, name, password, email, is_ext_vm, allow_operator, allow_review, voice_as_attach, delete_after_email, caller_id, envelope) VALUES (7, 20, 1000, 'Aastra 1000', '1000', 'harrellandrew@hotmail.com', 1, 1, 0, 1, 0, 1, 1);
INSERT INTO vm_box (vm_id, dest_id, mailbox, name, password, email, is_ext_vm, allow_operator, allow_review, voice_as_attach, delete_after_email, caller_id, envelope) VALUES (8, 22, 2225, 'Aastra 2225', '2225', 'harrellandrew@hotmail.com', 1, 1, 0, 1, 0, 1, 1);
INSERT INTO vm_box (vm_id, dest_id, mailbox, name, password, email, is_ext_vm, allow_operator, allow_review, voice_as_attach, delete_after_email, caller_id, envelope) VALUES (9, 28, 1005, '', '1005', '', 1, 1, 0, 1, 0, 1, 1);

-- 
-- Dumping data for table zap
-- 



