#!/bin/bash


system-config-network-cmd -i -f /tmp/netconfig
rm -rf /tmp/netconfig

set -x
if [ ! -z "$1" ]
then
echo "NETWORKING=yes
NETWORKING_IPV6=no
HOSTNAME=$1" > /etc/sysconfig/network

# regenerated localhost line
sed -re "s/^127\.0\.0\.1[^\n]+$/127\.0\.0\.1\tlocalhost\.localdomain\tlocalhost\t$1/g" /etc/hosts > /tmp/hosts
cp -f /tmp/hosts /etc/hosts

fi
