
function refreshWarnings()
{
    var data = new Object;
    postDataURL(data,'listWarnings.php',handleWarningUpdate);
}

var statics = {


};

function handleWarningUpdate(d)
{
    wDiv = document.getElementById('warn_div');
    wDiv.innerHTML = d;

}




function postDataURL(data,url,callback) {


    var reqObj = new Object;
    reqObj.action = url;
    reqObj.method = "POST";
    reqObj.data = data;
    cb_func = callback;

    xhr = null;
    if (window.XMLHttpRequest)
    {
        xhr = new XMLHttpRequest();
    }
    else if (window.ActiveXObject)
    {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    else // xmlhttprequest not supported
    {
        return;
    }


    xhr.onreadystatechange = (function () {
        if (xhr.readyState == 4 && xhr.status == 200)
        {
            if (cb_func) {
                cb_func(xhr.responseText);

            }

//            alert(xhr.responseText);
        }

    }).bind(this);
    xhr.open(reqObj.method, reqObj.action, true);
//    xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
    xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");


// send the collected data as JSON
    xhr.send("postData=" + JSON.stringify(reqObj.data));
}



function ApplyChanges()
{

    dojo.require("dijit.Dialog");
	var ApplyDlg = dijit.byId('ApplyDlg');
	if(ApplyDlg == null)
	{
			
			ApplyDlg = new dijit.Dialog({
				title: "Apply Changes",
				id: "ApplyDlg"
			});
	}


	
    //Make dialogBox
    /*var ApplyDlg = new dijit.Dialog({
        title: "Apply Changes",
		id: "ApplyDlg"
    });*/
//style: "overflow: auto; height: 400px; width: 400px;"
    //Load initial text
    //start processing page graphic
    //append settings applied.
    //figure out where to drop them off
    var url = "/ippbx/applyChanges.php";
    var divOpenStr = '<div id="applyDiv" jsId="applyDiv" name="applyDiv" style="overflow: auto; height: 300px; width: 400px;">';
    ApplyDlg.setAttribute('content', divOpenStr + '</div>');


    ApplyDlg.show();

    //var applyDiv = dojo.byId('applyDiv');
    var applyDiv = document.getElementById('applyDiv');

    if (window.XMLHttpRequest)
    {
        xmlhttp = new XMLHttpRequest();

        xmlhttp.onreadystatechange = function()
        {

            if (xmlhttp.readyState < 4)
            {
                applyDiv.innerHTML = '<img src="images/loading.gif" />Applying Changes....';
            }
            else if (xmlhttp.readyState == 4)
            {
                applyDiv.innerHTML = xmlhttp.responseText;
                refreshWarnings();
				runScripts(applyDiv); /* this allows running all scripts that are return from apply changes */

            }
        }
        xmlhttp.open("GET", url, true);
        xmlhttp.send(null);
    } else if (window.ActiveXObject)
    {
        xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        if (xmlhttp)
        {
            xmlhttp.onreadystatechange = function()
            {
                if (xmlhttp.readyState == 4)
                {
                    //notificationDiv=document.getElementById('NotificationDiv');
                    //notificationDiv.innerHTML=xmlhttp.responseText;
                    applyDiv.innerHTML = xmlhttp.responseText;
                    refreshWarnings();
                }
            }
            xmlhttp.open("GET", url, true);

            xmlhttp.send();
        }
    }
}

function setDijitButtonLoading(id,val,enabled)
{
	try
	{
		var tmpBtn = dijit.byId(id);
		tmpBtn.set('label',val);
		tmpBtn.set('disabled', !enabled);
	}
	catch (error)
	{
		console.log(error);
	}
}

function getDijitBtnTxt(id)
{
    try
    {
        var tmpBtn = dijit.byId(id);
        return tmpBtn.get('label');
    }
    catch (error)
	{
		console.log(error);
	}
}

function setButtonLoading(id,val,enabled)
{
	try
	{
		var tmpBtn = dojo.byId(id);
		tmpBtn.value = val;
		tmpBtn.disabled = !enabled;
	}
	catch (error)
	{
		console.log(error);
	}
}

function runScripts(e)
{
	/*var elements = e.getElementsByTagName('*');

    for (var x in elements)
    {
		if (x.nodeType != 1) continue;
        if (x.tagName.toLowerCase() == 'script')
        {
            eval(x.text); // run the script
        }
    }*/
    if (e.nodeType != 1) return;
    if (e.tagName.toLowerCase() == 'script')
    {
        eval(e.text); // run the script
    }
    else
    {
		/*var nodes = e.childNodes;
		for (var x in nodes)
		{
			if (x.nodeType == 1) runScripts(x);
		}*/
        /*var n = e.firstChild;*/
		for(var i=0;i<e.children.length;i++)
		{
			if (e.children[i].nodeType == 1) runScripts(e.children[i]);
		}
        /*while(n)
        {
            if (n.nodeType == 1) runScripts( n );
            n = n.nextSibling;
        }*/
    }
}
