/*

 ALLOW,DENY	edit denyList	null allowList	black list
 DENY,ALLOW	edit allowList	null denyList	white list

 */
var activeFunc = "";
var netDialogObj;

function doDialog(buildDlgFunc)
{

    if (netDialogObj == null)
    {


        netDialogObj = new dijit.Dialog({
            id: 'doDialog',
            title: 'Ping',
            style: 'width: 500px; height: 200px;overflow: auto'
        });

    }
    netDialogObj.set("content", buildDlgFunc());
    netDialogObj.show();
}


function buildPing()
{
    netDialogObj.set('style', "width: 460px; height: 200px;overflow: auto");
    netDialogObj.set('title',"Ping");
    var content = "<div style='top-margin: 30px;'>Host<input type='text' id='pingHost' onkeydown='return AutoHandleKeyPress(event);' /><input type='button' id='doBtn' value='Ping' onclick='doPing();' /></div><div class='consoleResponse' id='response'></div>";

    activeFunc = doPing;
    return content;
}

function buildMTR()
{
    netDialogObj.set('style', "width: 650px; height: 450px;overflow: auto");
    netDialogObj.set('title',"Traceroute");
    var content = "<div style='top-margin: 30px;'>Host<input type='text' id='pingHost' onkeydown='return AutoHandleKeyPress(event);' /><input type='button' id='doBtn' value='Traceroute' onclick='doMTR();' /></div><div class='consoleResponse' id='response'></div>";
    activeFunc = doMTR;
    return content;
}

function doMTR()
{
    var pingTxt = document.getElementById('pingHost').value;
    var pingData = new Object();
    pingData.pingVal = pingTxt;
    pingData.opType = 'mtr';
    postFormData('networkDiag.php', pingData, HandleSimpleResponse);
}

function buildNSLookup()
{
    netDialogObj.set('style', "width: 500px; height: 300px;overflow: auto");
    netDialogObj.set('title',"DNS Lookup");
    var content = "<div style='top-margin: 30px;'>Host<input type='text' id='pingHost' onkeydown='return AutoHandleKeyPress(event);' /><input type='button' id='doBtn' value='Lookup' onclick='doNSLookup();' /></div><div class='consoleResponse' id='response'></div>";
    activeFunc = doNSLookup;
    return content;
}

function doNSLookup()
{
    var pingTxt = document.getElementById('pingHost').value;
    var pingData = new Object();
    pingData.pingVal = pingTxt;
    pingData.opType = 'nslookup';
    postFormData('networkDiag.php', pingData, HandleSimpleResponse);
}

function buildNetScan()
{
    netDialogObj.set('style', "width: 650px; height: 450px;overflow: auto");
    netDialogObj.set('title',"Network Scan");
    var content = "<div style='top-margin: 30px;'>Scan Net<input type='text' id='pingHost' onkeydown='return AutoHandleKeyPress(event);' /><input type='button' value='Scan' id='doBtn' onclick='doNetScan();' /></div><div id='response'></div>";
    activeFunc = doNetScan;
    return content;
}

function doNetScan()
{
    var pingTxt = document.getElementById('pingHost').value;
    var pingData = new Object();
    pingData.pingVal = pingTxt;
    pingData.opType = 'netscan';
    postFormData('networkDiag.php', pingData, HandleSimpleResponse);
}

function doPing()
{
    var pingTxt = document.getElementById('pingHost').value;
    var pingData = new Object();
    pingData.pingVal = pingTxt;
    pingData.opType = 'ping';
    postFormData('networkDiag.php', pingData, HandleSimpleResponse);
}

function HandleSimpleResponse(result)
{
    var responseDiv = document.getElementById('response');
    responseDiv.innerHTML = result;
}


function postFormData(url, keyValArray, returnFunc)
{
    var doBtn = document.getElementById('doBtn');
    var prevVal = doBtn.value;

    var xhrArgs = {
        url: url,
        postData: dojo.objectToQuery(keyValArray),
        handleAs: 'text',
        load: function(data)
        {

            doBtn.value = prevVal;
            doBtn.disabled = false;
            returnFunc(data);
        },
        error: function(error, errObj)
        {
            alert('An error occurred while processing your request: ' + errObj.xhr.responseText);
        }
    };

    doBtn.value = 'Please Wait';
    doBtn.disabled = true;
    var deferred = dojo.xhrPost(xhrArgs);


}


function AutoHandleKeyPress(e)
{
    if (e.keyCode == 13)
    {
        if (activeFunc)
            activeFunc();
        return false;

    }
    return true;
}

