if (!String.prototype.trim)
{
    String.prototype.trim=function(){return this.replace(/^\s+|\s+$/g, '');};

    String.prototype.ltrim=function(){return this.replace(/^\s+/,'');};

    String.prototype.rtrim=function(){return this.replace(/\s+$/,'');};

    String.prototype.fulltrim=function(){return this.replace(/(?:(?:^|\n)\s+|\s+(?:$|\n))/g,'').replace(/\s+/g,' ');};
}

function addTBodyRow(tbody,url) {



    var row = document.createElement('tr');


    var nameCell = document.createElement('td');//row.insertCell(-1);

    tmpEle = document.createElement('input');
    tmpEle.type = 'text';
    tmpEle.value = url.name;
    tmpEle.maxLength = '15';
    tmpEle.disabled = 'disabled';
    nameCell.appendChild(tmpEle);

    var urlCell = document.createElement('td');//row.insertCell(-1);
    tmpEle = document.createElement('textarea');
    tmpEle.value = url.url;
    tmpEle.onchange = function(){

        objList.urls[url.name].url = this.value.trim();
        this.value = this.value.trim();
    };
    urlCell.appendChild(tmpEle);

    var browserCell = document.createElement('td');//row.insertCell(-1);
    tmpEle = document.createElement('input');
    tmpEle.type = 'checkbox';
    tmpEle.checked = url.useBrowser;
    tmpEle.onchange = function(){

        objList.urls[url.name].useBrowser = this.checked;
    };
    browserCell.appendChild(tmpEle);

    var postCell = document.createElement('td');//row.insertCell(-1);
//        postCell.InnerHTML = '<input type="checkbox" ' + usePost + '/>';
    tmpEle = document.createElement('input');
    tmpEle.type = 'checkbox';
    tmpEle.checked = url.usePost;
    tmpEle.onchange = function(){

        objList.urls[url.name].usePost = this.checked;
    };
    postCell.appendChild(tmpEle);


    delCell = document.createElement('td');
    tmpEle = document.createElement('button');
    tmpEle.onclick = function(){delRow(url.name);};
    tmpEle.textContent = 'Delete';
    delCell.appendChild(tmpEle);
    copyCell = document.createElement('td');
    tmpEle = document.createElement('button');
    tmpEle.onclick = function(){copyRow(url.name);};
    tmpEle.textContent = 'Copy';
    copyCell.appendChild(tmpEle);

    if (url.error_flag)
    {
        row.style.backgroundColor = 'red';
    }


    row.appendChild(nameCell);
    row.appendChild(urlCell);
    row.appendChild(browserCell);
    row.appendChild(postCell);
    row.appendChild(delCell);
    row.appendChild(copyCell);

    tbody.appendChild(row);
}

function addInputRow() {



    urlObj = {};
    urlObj.name = document.getElementById('newURLNameTxt').value;
    urlObj.url = document.getElementById('newURLTxt').value.trim();
    urlObj.useBrowser = document.getElementById('newUseBrowser').checked;
    urlObj.usePost = document.getElementById('newUsePost').checked;
    if(urlObj.name == '')
        return;


    if (objList == null || objList.urls == null)
    {
        objList = new Object;
        objList.urls = new Object;
    }
    // prevent duplicate names
    for(x in objList.urls)
    {
        if (x == urlObj.name)
        {
            alert('Name already exists');
            return;
        }
    }


    objList.urls[urlObj.name] = urlObj;

    buildScreenPopTable();
    document.getElementById('newURLNameTxt').value = "";
    document.getElementById('newURLTxt').value = "";
    document.getElementById('newUseBrowser').checked = true;
    document.getElementById('newUsePost').checked = false;

}

function toggleButtonDisabled(disabled)
{
    btns = document.getElementsByTagName('button');
    for (i = 0; i < btns.length; i++) {
        btns[i].disabled = disabled;

    }

}

function copyRow(name)
{
    tmpUrlObj = objList.urls[name];
    document.getElementById('newURLNameTxt').value = "Copy of " + tmpUrlObj.name;
    document.getElementById('newURLTxt').value = tmpUrlObj.url;
    document.getElementById('newUseBrowser').checked = tmpUrlObj.useBrowser;
    document.getElementById('newUsePost').checked = tmpUrlObj.usePost;
    document.getElementById('newURLNameTxt').focus();
    document.getElementById('newURLNameTxt').select();
//    document.getElementById('newURLNameTxt').SelectAll;
}

function delRow(name)
{
    delete objList.urls[name];
    buildScreenPopTable();
}



function buildScreenPopTable() {



    myTbl = document.getElementById('urlTable');


    origBody = myTbl.tBodies[0];

    newBody = document.createElement('tbody');


    i = 0;
    for (x in objList.urls) {
        // trim the string while looping
        objList.urls[x].url = objList.urls[x].url.trim();
        u = objList.urls[x];


        var __ret = addTBodyRow(newBody,u);
        i++;
    }

    origBody.parentNode.replaceChild(newBody,origBody);


}






