/**
 * Created with JetBrains PhpStorm.
 * User: aharrell
 * Date: 8/26/13
 * Time: 2:50 PM
 * To change this template use File | Settings | File Templates.
 */

(function () {
    "use strict";
}());

var op_in_progress = 0;
var updateWorker;



function do_sw_update() {
    if (op_in_progress === 0) {
        disableInput();
        var install_status_section = document.querySelector('#install_status_section');
        RemoveClass(install_status_section, 'invisible');
        var progressElement = document.querySelector('#install_status_section > progress');
        progressElement.max = 0;
        progressElement.value = 0;

        op_in_progress = 1;
        updateWorker = new Worker('js/sw_update_worker.js');
        updateWorker.addEventListener('message', function(e) {

            if (e.data.status == 1) // Complete
                sw_update_cb(e.data.txt);

            if (e.data.status == 2) // Running
                progressElement.value++;

            if (e.data.status == 3) // Error
                sw_update_cb(e.data.txt);
        });
        var workerData = new Object;
        workerData.cmd = 'update';
        workerData.data = 'do update';
        updateWorker.postMessage(workerData);
    }
//    postURLS('sw_update.php',formObj, check_sw_update_cb);

}

function sw_update_cb(txt)
{
    var detailsElement = document.querySelector('#update_details_div');
    var progressElement = document.querySelector('#install_status_section > progress');
    detailsElement.textContent = txt;
    progressElement.max = 100;
    progressElement.value = 100;
    op_in_progress = 0;
    updateWorker.terminate();
    updateWorker = null;
    restoreInput();

}



function do_check_sw_update() {
    if (op_in_progress === 0)
    {
        disableInput();
        var check_status_section = document.querySelector('#check_update_status_section');
        RemoveClass(check_status_section, 'invisible');
        var progressElement = document.querySelector('#check_update_status_section > progress');
        progressElement.max = 0;
        progressElement.value = 0;

        op_in_progress = 1;
        updateWorker = new Worker('js/sw_update_worker.js');
        updateWorker.addEventListener('message', function(e) {

           if (e.data.status == 1)
             check_sw_update_cb(e.data.txt);

           if (e.data.status == 2)
                progressElement.value++;
        });
        var workerData = new Object;
        workerData.cmd = 'start';
        workerData.data = 'check update';
        updateWorker.postMessage(workerData);
    }
//    postURLS('sw_update.php',formObj, check_sw_update_cb);

}


function enableInstall() {
    var installSection = document.getElementById('install_operation_container');
    RemoveClass(installSection,'invisible');
}
function disableInstall() {
    var installSection = document.getElementById('install_operation_container');
    AddClass(installSection,'invisible');
}

function check_sw_update_cb(txt)
{
    var detailsElement = document.querySelector('#check_details_div');
    var progressElement = document.querySelector('#check_update_status_section > progress');
    detailsElement.textContent = txt;
    progressElement.max = 100;
    progressElement.value = 100;
    op_in_progress = 0;
    updateWorker.terminate();
    updateWorker = null;
    restoreInput();

    if (txt.match('RETURN_CODE: 100')) {
        enableInstall();
    } else {
        disableInstall();
    }


}




function postURLS(url, data, callback) {


    var reqObj = new Object;
    reqObj.action = url;
    reqObj.method = "POST";
    reqObj.data = data;
    cb_func = callback;


    xhr = new XMLHttpRequest();
    xhr.onreadystatechange = (function () {

        if (xhr.readyState == 4) {
            if (xhr.status == 200) {
                if (cb_func) {
                    cb_func(xhr.responseText);
                }
            } else {
                alert('error processing request');
            }
        }

    }).bind(this);
    xhr.open(reqObj.method, reqObj.action, true);
    //    xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
    xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");


    // send the collected data as JSON
    xhr.send("postData=" + JSON.stringify(reqObj.data));
}

function empty(obj) {
    if (obj === null)
        return true;
    if (typeof obj === 'string' && obj === '')
        return true;
    return false;
}

function RemoveClass(ele, className) {
    tmpList = ele.classList;
    if (tmpList.contains(className)) {
        tmpList.remove(className);
    }
}

function AddClass(ele, className) {
    ele.classList.add(className);
}

function restoreInput() {
    document.body.removeChild(document.getElementById("overlay"));
}

function disableInput() {

    var overlay = document.createElement("div");
    overlay.setAttribute("id","overlay");
    overlay.setAttribute("class", "overlay");
    document.body.appendChild(overlay);
}

function toggleDiv(id)
{
    var divEle = document.getElementById(id);
    if (!divEle)
        return;
    if (divEle.classList.contains('invisible')) {
        RemoveClass(divEle,'invisible');
    }
    else
    {
        AddClass(divEle,'invisible');
    }
}
