
playerMode=0;

	// Show the popup with a note on top line
	function show(note)
	{
		showAny('player');
		if ((info = document.getElementById('playInfo')))
			info.innerHTML=note;

		// IE6 ignores z-index for dropdown list. Must hide this
		if ((dropdown=document.getElementById('vmMove')))
		{
			dropdown.style.visibility='hidden';
		}
		hideAny('working');
	}


	function play(url,note,download)
	{
		if (!(ifr = document.getElementById('vmPlay')))
			return;

		if (download)
		{
			closePlayer();
			target='vm_play.php?url='+url;

			// You MUST use this method for DL in iframe
			// to work on some IE6 & IE7 installations.
			frames['vmPlay'].location.href=target;
			
		}
		else
		{
			show(note);
			showAny('playersub');

			var WMP=detectWMP();
			if (WMP)
				ifr.src = 'vm_playerWM.php?url='+url+'&WMP='+WMP;
			else
				ifr.src = 'vm_play.php?url='+url;
//window.location = 'vm_playerWM.php?url='+url+'&WMP='+WMP;

		}
	}

	// Hide iframe and everything else
	function hidePlayerAll()
	{
		hideAny('player');
		hideAny('working');

		// IE6 ignores z-index for dropdown list. Must show this
		if ((dropdown=document.getElementById('vmMove')))
		{
			dropdown.style.visibility='visible';
		}

	}

	function closePlayer()
	{
		hideAny('calloptions');
		if ((ifr = document.getElementById('vmPlay')))
			ifr.src='';
		hidePlayerAll();
		showAny('playersub');

		if (playerMode=='upload')
		{
			if ((d=document.getElementById('voicemailControl')))
				d.submit(); // reload page
		}
	}


	function lastChars(num,len)
	{
		out='';
		offset = num.length-len;
		for (i=offset;i<num.length;i++)
		{
			out += num.charAt(i);
		}
		return out;
	}


	// use this to update and show the outbound call options
	function callOutOption(pid,num,formatted,ignore)
	{
		document.getElementById('call_number').value=num;

		hidePlayerAll();
		hideAny('playersub');

		showAny('calloptions');
		show('Dial');
	}


	// call this when user clicks on a checkbox for callOutOption

	function callOutSelected()
	{
		num=document.getElementById('call_number').value;

		if (!num)
		{
			alert('Enter a number to dial or click cancel.');
			return;
		}
		showAny('playersub');
		hideAny('calloptions');
		call(num,0,1);
	}

	// call this to iniate a phone call
			
	function call(pid,route,direct)
	{
		closePlayer();
		if (!route)
			route=0;

		if ((ifr = document.getElementById('vmPlay')))
			ifr.src = 'vm_call.php?pid='+pid+'&route='+route+'&direct='+direct;
	}


	function uploadPrompt(file,englishName)
	{
		hidePlayerAll();
		showAny('playersub');
		if ((ifr = document.getElementById('vmPlay')))
			ifr.src = 'vm_upload_form.php?file='+file;

                show('Upload '+englishName+' Sound File');
		playerMode="upload";
	}


	// This should only be called by the form with the userfile input field
	function upload(target)
	{
		if ((d=document.getElementById('voicemailControl')))
			{
				d.enctype='multipart/form-data';
				d.action='vm_upload_sound.php?file='+target;
				d.submit();
			}
	}

	function deleteAll(id,nice)
	{
		if ((d=document.getElementById('voicemailControl')))
		{
			if (confirm("Delete everything in the "+nice+" folder?"))
			{
				d.mydeleteall.value=id;
				d.submit();
			}
		}
	}

	function sort(dir,opt)
	{
		if ((d=document.getElementById('voicemailControl')))
		{
			if (opt)
				d.sortOpt.value=opt;
			if (dir)
				d.sortReverse.value='1';
			d.submit();
		}
	}

	function dosearch()
	{
		if((d=document.getElementById('voicemailControl')))
		{
			d.search.value='1';
			d.submit();
		}
	}


//
	function showAny(id)
	{
		if ((o=document.getElementById(id)))
		{
			o.style.display='block';
			o.style.visibility='visible';
		}
	}
	function hideAny(id)
	{
		if ((o=document.getElementById(id)))
		{
			o.style.display='none';
			o.style.visibility='hidden';
		}
	}

// Stuff used by vm_details only
	function setWorkingMessage(m)
	{

	}

	function status_on()
	{
		hideAny('playersub');
		hideAny('closeOption');
		setWorkingMessage('Working...');
		show('Status');
		showAny('working');
	}
	function status_off()
	{
		hidePlayerAll();
		hideAny('working');
		showAny('closeOption');
		showAny('playersub');
	}
