#!/bin/sh

# "repairs" the /var/log/asterisk/call_events database by
# dumping the current database into new database

DB_DIR="/var/log/asterisk"
SCRIPT_DIR="/usr/local/ipitomy/scripts"

source ${SCRIPT_DIR}/installLib.sh
alias cp="ambiguous cp"
alias mv="ambiguous mv"


/sbin/service CELogd stop

# move the damaged DB out of the way
mv_f ${DB_DIR}/call_events.db ${DB_DIR}/call_events.db.damaged

# create a clean version from the damaged DB
echo "Please be patient. This step could take a few minutes..."
/usr/bin/sqlite3 ${DB_DIR}/call_events.db.damaged .dump | /usr/bin/sqlite3 ${DB_DIR}/call_events.db

/sbin/service CELogd start
