<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
      <style>
          .scanTableHeader
          {
                background-color: #cde3f6;
          }
          .scanResult
          {
              border:  1px;
          }
          .scanTR
          {
              border-collapse: collapse;
              border: 1px;
          }
          .scanTD
          {
              border-collapse: collapse;
              border:  1px;
          }
      </style>
  </head>

  <body>
  <h2>Hosts</h2>
  <table class="scanResult">
    <tr class="scanTableHeader">
      <!--<th>Status</th>-->
      <!--<th>Method</th>-->
      <th>IP</th>
      <th>MAC</th>
      <th>Vendor</th>
      <!--<th>Hostnames</th>-->
      <!--<th>HN Type</th>-->
    </tr>
    <xsl:for-each select="nmaprun/host">
		<!--<xsl:if test="ports/port/state/@state='open'">-->
        <xsl:if test="status/@state='up'">

		<tr class="scanTR">
	
	    <!--<xsl:for-each select="status">-->
			<!--<td><xsl:value-of select="@state" /></td>-->
			<!--<td><xsl:value-of select="@reason" /></td>-->
	    <!--</xsl:for-each>-->
	    <xsl:for-each select="address">
			<xsl:choose>
				<xsl:when test="@addrtype='mac'" >
					<td class="scanTD"><xsl:value-of select="@addr" /></td>
					<xsl:choose>
						<xsl:when test="@vendor='Sercomm'" >
							<td>IPitomy 550/120/1000/400</td>
						</xsl:when>
						
						<xsl:when test="@vendor='Guangzhou Escene Computer Technology Limited'" >
							<td>IPitomy HDPhone</td>
						</xsl:when>
						<xsl:otherwise>
							<td><xsl:value-of select="@vendor" /></td>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<td><a href="http://{@addr}" target="_blank" ><xsl:value-of select="@addr" /></a></td>
				</xsl:otherwise>
			</xsl:choose>
	    </xsl:for-each>
	    <!--<xsl:choose>-->
		<!--<xsl:when test="hostnames/hostname">-->
	    		<!--<xsl:for-each select="hostnames/hostname">-->
				<!--<td><xsl:value-of select="@name" /></td>-->
				<!--<td><xsl:value-of select="@type" /></td>-->
	    		<!--</xsl:for-each>-->
		<!--</xsl:when>-->
		<!--<xsl:otherwise>-->
			<!--<td></td><td></td>-->
		<!--</xsl:otherwise>-->
	    <!--</xsl:choose>-->
		
		</tr>
	
		</xsl:if>
    </xsl:for-each>
  </table>
  </body>
  </html>
</xsl:template>

</xsl:stylesheet>
