<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--<xsl:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" />-->
<xsl:output method="html" version="5"/>
<xsl:template match="/statusInfo">




  <h2>Web Manager</h2>
    <div class="managerbody">
    <div class="extList">
    <xsl:for-each select="extensions/extension">

        <xsl:sort select="@number" data-type="number" />
        <xsl:sort select="@state" data-type="text" />
        <!--<xsl:if test="@state != 'Unavailable'">-->




		<!--<xsl:if test="ports/port/state/@state='open'">-->

            <div class="extBox">
            <xsl:attribute name="class">
                <xsl:if test="@state = 'Idle'">idle </xsl:if>
                <xsl:if test="@state = 'Ringing'">ringing </xsl:if>
                <xsl:if test="@state = 'InUse'">inuse </xsl:if>
                <xsl:if test="@state = 'Unavailable'">unavailable </xsl:if>
                <xsl:if test="1=1">extBox </xsl:if>
            </xsl:attribute>
            <xsl:attribute name="id">
                <xsl:value-of select="@number"/>
            </xsl:attribute>
            <xsl:value-of select="@name" /><br />
            <xsl:value-of select="@number" /><br />
            <!--<label>Status</label><br />-->
            <!--<var><xsl:value-of select="@state" /></var>-->
        </div>
        <!--</xsl:if>-->

    </xsl:for-each>
    </div>
    <div class="parkList">
     <br />

    <div class="parkheader">
        Call Park
    </div>
     <xsl:for-each select="park_orbits/park">

         <div class="parkBox">
             <xsl:attribute name="id">
                <xsl:value-of select="@number"/>
            </xsl:attribute>
             <xsl:attribute name="class">
                <xsl:if test="@state = 'Idle'">parkidle </xsl:if>
                <xsl:if test="@state = 'Ringing'">ringing </xsl:if>
                <xsl:if test="@state = 'InUse'">parkinuse </xsl:if>
                <xsl:if test="@state = 'Unavailable'">unavailable </xsl:if>
                <xsl:if test="1=1">parkBox </xsl:if>
            </xsl:attribute>
         Park: <xsl:value-of select="@number" />
         </div>
     </xsl:for-each>
    </div>
    </div>

	



</xsl:template>

</xsl:stylesheet>