
	var useLocalTableInputs=0;

	function multiSelectInit(form_name,table)
	{
		;
	}

	function get_table_id(table)
	{
		if (!table)
			return "mytable.";
		return table+".";
	}

	var table_name_cache = new Array();
	var table_data_cache = new Array();

	function get_table_form(table)
	{
		return document.getElementById(table);
	}
	function get_table_inputs(table)
	{
		if (useLocalTableInputs)
		{
			o=get_table_form(table);
			return o.getElementsByTagName('input');
		}
		return document.getElementsByTagName('input');
	}

	function select_all(value,above,table)
	{
		if (!(inputs=get_table_inputs(table)))
		{
			return;
		}
		var c = 0;
		var selid = get_table_id(table)+"sel[]";

		for (i = 0; i < inputs.length; i++)
		{
			//if (inputs[i].getAttribute('name')==selid)
			if (inputs[i].getAttribute('type')=='checkbox')
			{
				if(c && (c++ < above)) continue;

				if (value == '1')
					inputs[i].checked = true;
				else if (value == '0')
					inputs[i].checked = false;
				else
					inputs[i].checked = (inputs[i].checked == true ? false: true);
			}
		}
	}

	// Mostly for backwards compatability.. use get* funcs instead.
	// testColumn():
	// See if a column's value (vt) meets condition (op)
	// Do not call this from succesFunc(). Only call from
	// your optional validateFunc().
	// Optional User defined test func userFunc(value)
	// Returns row number where column matched test or calls userFunc
	
	function testColumn(name,selected,op,vt,userFunc,table)
	{
		for (j=0;j<selected.length;j++)
		{
			v=getField(selected,table,column,j);
			if (userFunc)
			{
				return userFunc(v);
			}
			if ((op=="eq") && (v==vt)) return j+1;
			if ((op=="ne") && (v!=vt)) return j+1;
			if ((op=="gt") && (v>vt)) return j+1;
			if ((op=="lt") && (v<vt)) return j+1;
		}
		return 0;
	}

	function describeRow(table)
	{
		var cid=get_table_id(table)+"ColumnNames";
		return document.getElementById(cid).value.split("|");
	}


	function getField(selected,table,column,row)
	{
		var row_indice = selected[row];
		var id = get_table_id(table)+column+row_indice;
		return document.getElementById(id).value;
	}

	function getRow(selected,select_indice,table)
	{
		if (select_indice>=selected.length)
		return 0;
		ret = new Array();
		columns=describeRow(table);

		var j;
		for (j=0; j < columns.length; j++)
		{
			ret[j]=getField(selected,table,columns[j],select_indice);
		}
		return ret;
	}

	function rowColumnPos(name,table)
	{
		columns=describeRow(table);
		tab=get_table_id(table);
		nameid = tab+name;

		for (j=0; j < columns.length; j++)
			if (tab+columns[j]==nameid)
			{
				return j;
			}
		return -1;
	}		

	function rowColumnValue(name,row,table)
	{
		return row[rowColumnPos(name,table)];
	}


	// Optional ValidateFunc needs to be in the form
	// ValidateFunc(mode,items). Should return 1 on failure.
	// You can call testColumn(...) from ValidateFunc.
	//
	// SuccesFunc is passed 'mode' which is carried from your onclick().

	function send_selected(mode,SuccessFunc,ValidateFunc,table)
	{

		if (!(inputs= get_table_inputs(table)))
		{
			return 0;
		}

		columns = describeRow(table);
		selid = get_table_id(table)+"sel[]";
		var items=new Array();
		var itemc=0; // Number of items selected
		var i;

		for (i = 0; i < inputs.length; i++)
		{
			if (inputs[i].getAttribute('name')==selid)
 				if (inputs[i].checked == true)
				{
					items[itemc++]=inputs[i].value;
					items.Length=itemc;
				}
		}


		if (ValidateFunc)
		{
			if (ValidateFunc(mode,items,table))
			{
				return;
			}
		}

/* Re-load input stuff because validate func may have modified selections */

		var itemc=0; // Number of items selected
		var i;

		for (i = 0; i < inputs.length; i++)
		{
			if (inputs[i].getAttribute('name')==selid)
 				if (inputs[i].checked == true)
				{
					items[itemc++]=inputs[i].value;
					items.Length=itemc;
				}
		}
/* */


		if (itemc>0)
		{
			// Remove unselected row data

			var seli=0;
			var max = 0;
			var tab = get_table_id(table);
			while (document.getElementById(tab+columns[0]+max)) max++;

			for (i=0; i < max; i++)
			{
				if ((seli>=itemc)||(items[seli]!=i))
				{
					for (j=0; j < columns.length; j++)
						if((o=document.getElementById(tab+columns[j]+i)))
							o.parentNode.removeChild(o);
				}
				else
				{
					seli++;
				}
			}
		}

	SuccessFunc(mode,itemc,table);
}

function renameSel(table)
{
	if (!(inputs= get_table_inputs(table)))
		return;

	selid = get_table_id(table)+"sel[]";
	var items=new Array();
	var itemc=0; // Number of items selected
	var i;
                
	for (i = 0; i < inputs.length; i++)
	{
		if (inputs[i].getAttribute('name')==selid)
			inputs[i].setAttribute('name','sel[]');
	}
}

/*	if (window.addEventListener) {
	window.addEventListener("load", multiSelectInit, false);
	} else if (window.attachEvent) {
	window.attachEvent("onload", multiSelectInit)
	} else if (document.getElementById) {
	window.onload = multiSelectInit;
	}
*/

