function deleteOption(selectObject,optionRank)
{
	if (selectObject.options.length!=0) 
	{ 
		selectObject.options[optionRank]=null 
	}
}

function addOption(selectObject,optionValue, optionText)
{
    var anOption = document.createElement("OPTION")
    selectObject.options.add(anOption)
    anOption.innerText = optionText;
    anOption.value = optionValue;
}

function moveRight()
{
	var leftBox = document.getElementById("leftBox");
    var rightBox = document.getElementById("rightBox");
	for (var i = leftBox.length - 1; i >= 0; i--) 
	{
		if (leftBox.options[i].selected) 
		{
            var optionValue = leftBox.options[i].value;
            var optionText = leftBox.options[i].innerText;
            addOption( rightBox, optionValue, optionText )
			deleteOption(leftBox,i);
		}

	}
}

function moveLeft()
{
	var leftBox = document.getElementById("leftBox");
    var rightBox = document.getElementById("rightBox");
	for (var i = rightBox.length - 1; i >= 0; i--)
	{
		if (rightBox.options[i].selected)
		{
            optionValue = rightBox.options[i].value;
            optionText = rightBox.options[i].innerText;
            addOption( leftBox, optionValue, optionText )
			deleteOption(rightBox,i);
		}

	}
}


function moveRoutesRight()
{
	var leftBox = document.getElementById("leftRoutes");
    var rightBox = document.getElementById("rightRoutes");
	for (var i = leftBox.length - 1; i >= 0; i--)
	{
		if (leftBox.options[i].selected)
		{
            var optionValue = leftBox.options[i].value;
            var optionText = leftBox.options[i].innerText;
            addOption( rightBox, optionValue, optionText )
			deleteOption(leftBox,i);
		}

	}
}

function moveRoutesLeft()
{
	var leftBox = document.getElementById("leftRoutes");
    var rightBox = document.getElementById("rightRoutes");
	for (var i = rightBox.length - 1; i >= 0; i--)
	{
		if (rightBox.options[i].selected)
		{
            optionValue = rightBox.options[i].value;
            optionText = rightBox.options[i].innerText;
            addOption( leftBox, optionValue, optionText )
			deleteOption(rightBox,i);
		}

	}
}


