// validation functions
// validates required, email and numeric (with range) values
var validateArray = new Array();

function addValidation()
{
	args=addValidation.arguments;
	var i = validateArray.length;
	var myObject = new Object();
	myObject.fieldName = args[0];
	myObject.valType = args[1];
	myObject.dispName = args[2];
	if (typeof(args[3]) != 'undefined') {
		myObject.testField = args[3];
		myObject.testValue = args[4];
	} else {
		myObject.testField = '';
		myObject.testValue = '';
	}
	validateArray[i] = myObject;

}
function delValidation()
{
    args=delValidation.arguments;
    var arrayLength = validateArray.length;
    var myObject = new Object();
	

    for(position=0;position<arrayLength;position++) 
    {   
        var Entry = validateArray[position];
		if (Entry.fieldName==args[0])
        {    
            validateArray.splice(position,1);
			arrayLength = validateArray.length;
        }
    }   

}




function callJS(jsStr) { //v2.0
  return eval(jsStr)
}

function findObj(n, d) { //v4.01
  var p,i,x;  

  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);
  }
  
  if(!(x=d[n])&&d.all)
  	 x=d.all[n]; 
  for (i=0;!x&&i<d.forms.length;i++) 
  	 x=d.forms[i][n];
	 
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) 
  	 x=findObj(n,d.layers[i].document);
  
  if(!x && d.getElementById) 
  	x=d.getElementById(n); 

  return x;
}

function validateField(args) { //v4.0
  	var validate,j,i,p,q,nm,test,num,min,max,errors=''; 

	for (j=0; j<(args.length); j++) {
		var obj = args[j];
		test=obj.valType; 
		validate = true;
		
		val=findObj(obj.fieldName);
		//alert(val);
		if (val) { 
			nm=obj.dispName; 

			if (obj.testField != "") {
				testField = findObj(obj.testField)
				if (testField) {
					// currently only works for select boxes
					if (testField.options[testField.selectedIndex].text != obj.testValue ||
						testField.disabled == true) {
						validate = false;
					}
				}
			}

			if (validate == true) {
				if ((val=val.value)!="") {
			
					if (test.indexOf('isEmail')!=-1) { 
						var myReEmail = /^([a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-])*)+@{1}([a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-])*)+\.{1}[a-zA-Z]{2,3}$/;
	
						if (!myReEmail.test(val)) 
							errors+='- '+nm+' must contain an e-mail address.\n';
					}
					else if (test.indexOf('Ext')!=-1) {
						// validates an extension
						myRe = /^7[0-1][0-9]$|^720$/;
						if (myRe.test(val) || val == '911' || val == '923' || val == '926' || val == '924') {
                            errors += '- '+nm+' '+val+' is already in use by the system\n';
                        }
						myRe = /^[1-9][0-9]{2,3}$/;
						if (!myRe.test(val) || val > 9899 || (val > 989 && val<1000)) {
							errors += '- '+nm+' must be numeric and between 100-9899 excluding 700-720 and 990-999\n';
						} 
					}
					else if (test.indexOf('AN')!=-1) { 
						myRe = /[0-9A-Za-z]+$/;	
						if (!myRe.test(val)) {
							errors += '- '+nm+' must be alphanumeric\n';
						}
	
						if (test.indexOf('InRange') != -1) { 
							p=test.indexOf(':');
							min=test.substring(9,p); 
							max=test.substring(p+1);
							if (val.length<min || max<val.length) 
								errors += '- '+nm+' must must be alphanumeric and between '+min+' and '+max+' characters in length.\n';
						} 
					} 
					else if (test.indexOf('Num')!=-1) { 
						num = parseFloat(val);
						if (isNaN(val)) 
							errors+='- '+nm+' must contain a number.\n';
							
						if (test.indexOf('InRange') != -1) { 
							p=test.indexOf(':');
							min=test.substring(10,p); 
							max=test.substring(p+1);
							if (num<min || max<num) 
								errors += '- '+nm+' must contain a number between '+min+' and '+max+'.\n';
						} 
					} 
					else if (test.indexOf('phone')!=-1)	{
						var myRe, bRes;
						myRe = /^[0-9!]{11,11}$/;
	
						if (!myRe.test(val)) {
							var i;
							var sResult;
	
							var a = val.split("");
							var b = "";
	
							for (var i in a)
								if (a[i].match(/\d/))
									b += a[i];
						   
							while (b.length>1 && b.charAt(0) == "0") b=b.substr(1,b.length);
							
							if (b == "" || b.length >20) {
								if (1)
									errors += '\n '+nm+' - You did not enter the correct number of digits or phone number is invalid\n';    
							}
						}
					}
				} 
				else if (test.charAt(0) == 'R') 
					errors += '- '+nm+' is required.\n'; 
			} // end if val
		}
	}
	if (errors) alert('The following error(s) occurred:\n'+errors);
  	document.returnValue = (errors == '');
	return document.returnValue;
}

