/**
 * Created with JetBrains PhpStorm.
 * User: aharrell
 * Date: 3/22/13
 * Time: 10:47 AM
 * To change this template use File | Settings | File Templates.
 */

var statics = {
     state_class_map : {
      'Unavailable': 'unavailable',
      'Idle': 'idle',
      'Ringing': 'ringing',
      'InUse': 'inuse' // more to come
    },
    park_state_class_map : {
        'Idle': 'parkidle',
        'InUse': 'parkinuse' // more to come
    },
    statusPollTimer : 5000,

};



var selectedExt;

var extResponseObj;

function RemoveClass(ele, className) {
    tmpList = ele.classList;
    if (tmpList.contains(className)) {
        tmpList.remove(className);
    }
}

function AddClass(ele, className) {
    ele.classList.add(className);
}


function HandleSelectedUIEle(e) {
    var selectedDiv = e.target;
    var selectedElements = document.querySelectorAll('.selectedExt');
    for (var i = 0; i < selectedElements.length; i++) {
        RemoveClass(selectedElements[i], 'selectedExt');

    }
    AddClass(selectedDiv, 'selectedExt');
    return selectedDiv;
}


function HandleParkSelected(e)
{
    var selectedDiv = HandleSelectedUIEle(e);
    ShowParkMenu(e);
    if (document.attachEvent)
        e.preventDefault();
    else
        window.event.returnValue = false;

    var selectedExt = selectedDiv.id;
}

function HandleExtSelected(e) {
    var selectedDiv = HandleSelectedUIEle(e);
    ShowContextMenu(e);
    if (document.attachEvent)
        e.preventDefault();
    else
        window.event.returnValue = false;

    var selectedExt = selectedDiv.id;

}

function ShowContextMenu(e) {
    var extMenu = document.querySelector('.ext-menu');

    RemoveClass(extMenu, 'hiddenEle');
//    extMenu.style.position = 'absolute';
    extMenu.style.top = e.clientY + "px";
    extMenu.style.left = e.clientX + "px";

//    extMenu.onblur += function() {
//        AddClass(extMenu,'hiddenEle');
//    }
}


function ShowParkMenu(e) {
    var parkMenu = document.querySelector('.park-menu');

    RemoveClass(parkMenu, 'hiddenEle');
//    extMenu.style.position = 'absolute';
    parkMenu.style.top = e.clientY + "px";
    parkMenu.style.left = e.clientX + "px";

//    extMenu.onblur += function() {
//        AddClass(extMenu,'hiddenEle');
//    }
}

function HandleDocumentClick(e) {
    if (e.target.classList.contains('extBox') || e.target.classList.contains('ext-menu')) // ext event
    {
        // hide other menus
        var parkMenu = document.querySelector('.park-menu');
        AddClass(parkMenu,'hiddenEle');

        return true;
    }
    else if (e.target.classList.contains('parkBox') || e.target.classList.contains('park-menu')) // park event
    {
        // hide other menus
        var extMenu = document.querySelector('.ext-menu');
        AddClass(extMenu, 'hiddenEle');

        return true;
    }
    else {
        var extMenu = document.querySelector('.ext-menu');
        AddClass(extMenu, 'hiddenEle');

        var parkMenu = document.querySelector('.park-menu');
        AddClass(parkMenu,'hiddenEle');
    }
    var selectedExt = null;
}

function showResult(r)
{
//    alert(r);
}

function doExtMenuCmd(cmd) {
    selectedExt = document.querySelector('.selectedExt').id;
    if (selectedExt != null) {
        formObj = new Object;
        formObj.op = cmd;
        formObj.params = new Object;
        formObj.params.source = myUser;
        formObj.params.dest = selectedExt;

//        var req = new wm_http_request(formObj,null);
//        var req = Object.create(wm_http_request);
//        req.postURLS(formObj,null);
        postURLS(formObj, showResult);
    }
}



function postURLS(data, callback) {


    var reqObj = new Object;
    reqObj.action = "WebManager.php";
    reqObj.method = "POST";
    reqObj.data = data;
    cb_func = callback;


    xhr = new XMLHttpRequest();
    xhr.onreadystatechange = (function () {
        // done

        if (xhr.readyState == 4 && xhr.status == 200)
        {
            if (cb_func) {

//                reqObj.responseObj = xhr.responseText;




                cb_func(xhr.responseText);

            }

//            alert(xhr.responseText);
        }

    }).bind(this);
    xhr.open(reqObj.method, reqObj.action, true);
//    xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
    xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");


// send the collected data as JSON
    xhr.send("postData=" + JSON.stringify(reqObj.data));
}



function empty(obj)
{
    if (obj === null)
        return true;
    if (typeof obj === 'string' && obj === '')
    {

        return true;
    }
    return false;


}

function handleExtsUpdated(d) {



    if (empty(d))
    {
        alert('no data in update func');
        return true;
    }
    var text = JSON.parse(d);
    var xmlDoc = null;

    if (window.DOMParser) {
        parser = new DOMParser();
        xmlDoc = parser.parseFromString(text, "text/xml");
    }
    else // Internet Explorer
    {
        xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
        xmlDoc.async = false;
        xmlDoc.loadXML(text);
    }
    var exts = xmlDoc.getElementsByTagName('extension');
    for (var i = 0; i < exts.length; i++) {
        var status = exts[i].getAttribute('state');
        var id = exts[i].getAttribute('number');
        tmpDiv = document.getElementById(id);
        if (tmpDiv !== null)
        {
            set_div_state(tmpDiv,status);
        }

        console.log("number %s, state %s", id, status);
    }

    var parks = xmlDoc.getElementsByTagName('park');
    for (var i = 0; i < parks.length; i++) {
        var status = parks[i].getAttribute('state');
        var id = parks[i].getAttribute('number');
        tmpDiv = document.getElementById(id);
        if (tmpDiv !== null)
        {
            set_park_div_state(tmpDiv,status);
        }

        console.log("number %s, state %s", id, status);
    }


//    showResult(d);
    initStatusPolling();
    return true;

}

function set_park_div_state(div,state)
{
    for(var s in statics.park_state_class_map)
    {
        if (state == s)
        {
            div.classList.add(statics.park_state_class_map[s]);
        }
        else
        {
            if (div.classList.contains(statics.park_state_class_map[s]))
            {
                div.classList.remove(statics.park_state_class_map[s]);
            }
        }
    }
}


function set_div_state(div,state)
{
    for(var s in statics.state_class_map)
    {
        if (state == s)
        {
            div.classList.add(statics.state_class_map[s]);
        }
        else
        {
            if (div.classList.contains(statics.state_class_map[s]))
            {
                div.classList.remove(statics.state_class_map[s]);
            }
        }
    }
}



//function submitURLs(data) {
//
//
//    var reqObj = new Object;
//    reqObj.action = "WebManager.php";
//    reqObj.method = "POST";
//    reqObj.data = data;
//    reqObj.handler = data.handler;
//
//    var xhr = new XMLHttpRequest();
//    xhr.open(reqObj.method, reqObj.action, true);
////    xhr.setRequestHeader('Content-Type', 'application/json; charset=UTF-8');
//    xhr.setRequestHeader("Content-type","application/x-www-form-urlencoded");
//
//    xhr.onloadend = function () {
//        // done
//
//        if (reqObj.handler)
//        {
//
//            reqObj.responseObj = xhr.responseText;
//            reqObj.webhandler(responseObj);
//        }
//        alert(xhr.responseText);
//
//    };
//    // send the collected data as JSON
//    xhr.send("postData="+JSON.stringify(reqObj.data));
//
//
//
//}

function queryExtUpdates() {
    extResponseObj = '';
    formObj = new Object;
    formObj.op = 'queryExts';
    formObj.params = new Object;
    formObj.responseObj = extResponseObj;
    //formObj.webhandler = function ( ) { handleExtsUpdated(formObj.responseObj); };


//    var req = new wm_http_request(formObj,handleExtsUpdated());
//    var req = new wm_http_request();
//    var req = Object.create(wm_http_request);
    postURLS(formObj, handleExtsUpdated);

//    submitURLs(formObj);
}


function logout()
{
    extResponseObj = '';
    formObj = new Object;
    formObj.op = 'logout';
    formObj.responseObj = extResponseObj;
    postURLS(formObj,function(d) { document.reload(); });
}

function initWebManager() {
    var extBoxes = document.querySelectorAll('.extBox');
    for (var i = 0; i < extBoxes.length; i++) {
        if (document.addEventListener) {
            extBoxes[i].addEventListener('click', HandleExtSelected, false);
        }
        else {
            extBoxes[i].attachEvent('click', HandleExtSelected);
        }

    }

    var parkBoxes = document.querySelectorAll('.parkBox');
    for (var i = 0; i < parkBoxes.length; i++) {
        if (document.addEventListener) {
            parkBoxes[i].addEventListener('click', HandleParkSelected, false);
        }
        else {
            parkBoxes[i].attachEvent('click', HandleParkSelected);
        }

    }

    if (document.addEventListener) {
        document.addEventListener('click', HandleDocumentClick);
    }
    else {
        document.attachEvent('click', HandleDocumentClick);
    }


    // this is currently used to reload the page
    //setTimeout(function () {
    //  location.reload();
    //}, 10000);


}

function initStatusPolling()
{
    setTimeout(function () {
       queryExtUpdates();
    },statics.statusPollTimer);
}


initWebManager();
initStatusPolling();